| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
LuaDebuggerErrorFrame Class Reference

Inline error details bar for paused break-on-error states. More...

`#include <lua_debugger_error_frame.h>`

Inheritance diagram for LuaDebuggerErrorFrame:

## Public Member Functions
| LuaDebuggerErrorFrame (QWidget *parent=nullptr)
| Constructs the error frame with an empty error state.
| ~LuaDebuggerErrorFrame () override
| Destroys the error frame and releases all owned resources.
void | setErrorMessage (const QString &message)
| Displays `message` as the current Lua error text.
void | setEditorStyleFont (const QFont &font)
| Synchronises the error text box font with the Lua editor.
void | clearErrorContent ()
| Clears the displayed error message and resets the frame to its empty state.
void | schedulePrimaryFocus ()
| After show(), move focus to the text box.

## Protected Member Functions
void | keyPressEvent (QKeyEvent *event) override
| Handles key-press events; closes the frame on Escape.
void | resizeEvent (QResizeEvent *event) override
| Recalculates the compact height of the frame when its width changes.
void | showEvent (QShowEvent *event) override
| Schedules focus transfer to the primary control when the frame becomes visible.

## Detailed Description

Inline error details bar for paused break-on-error states.

## Constructor & Destructor Documentation

## ◆ LuaDebuggerErrorFrame()

LuaDebuggerErrorFrame::LuaDebuggerErrorFrame | ( | QWidget * | parent = nullptr | ) |
| explicit

Constructs the error frame with an empty error state.

Parameters

  parent | Optional parent widget.

## Member Function Documentation

## ◆ keyPressEvent()

void LuaDebuggerErrorFrame::keyPressEvent | ( | QKeyEvent * | event | ) |
| override protected

Handles key-press events; closes the frame on Escape.

Parameters

  event | The key-press event to process.

## ◆ resizeEvent()

void LuaDebuggerErrorFrame::resizeEvent | ( | QResizeEvent * | event | ) |
| override protected

Recalculates the compact height of the frame when its width changes.

Parameters

  event | The resize event containing the new size.

## ◆ setEditorStyleFont()

void LuaDebuggerErrorFrame::setEditorStyleFont | ( | const QFont & | font | ) |

Synchronises the error text box font with the Lua editor.

Parameters

  font | Font currently in use by the Lua editor widget.

## ◆ setErrorMessage()

void LuaDebuggerErrorFrame::setErrorMessage | ( | const QString & | message | ) |

Displays `message` as the current Lua error text.

Parameters

  message | Error string to show in the error text box.

## ◆ showEvent()

void LuaDebuggerErrorFrame::showEvent | ( | QShowEvent * | event | ) |
| override protected

Schedules focus transfer to the primary control when the frame becomes visible.

Parameters

  event | The show event.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/lua_debugger/lua_debugger_error_frame.h
- /builds/wireshark/wireshark/ui/qt/lua_debugger/lua_debugger_error_frame.cpp